godo.DropletActions.ChangeKernel()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.DropletActions.ChangeKernel(ctx context.Context, id int, kernelID int) (*godo.Action, *godo.Response, error)Description
ChangeKernel changes the kernel for a Droplet.
This method sends a POST request to /v2/droplets/{}/actions.
Parameters
idint requiredkernelIDint required
Returns
- *godo.Action
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.Action
Action represents a DigitalOcean Action
IDintStatusstringTypestringStartedAt*godo.TimestampCompletedAt*godo.TimestampResourceIDintResourceTypestringRegion*godo.RegionRegionSlugstring
Request Sample
More Information
See POST /v2/droplets/{}/actions in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.